define(["amber/boot", "require", "amber/core/Kernel-Collections", "amber/core/Kernel-Infrastructure", "amber/core/Kernel-Methods", "amber/core/Kernel-Objects"], function($boot,requirejs){"use strict";
var $core=$boot.api,nil=$boot.nilAsValue,$nil=$boot.nilAsReceiver,$recv=$boot.asReceiver,$globals=$boot.globals;
var $pkg = $core.addPackage("Wrappers-JQuery");
$pkg.innerEval = function (expr) { return eval(expr); };
$pkg.imports = ["jQuery=jquery"];
//>>excludeStart("imports", pragmas.excludeImports);
var jQuery;
$pkg.isReady = new Promise(function (resolve, reject) { requirejs(["jquery"], function ($1) {jQuery=$1; resolve();}, reject); });
//>>excludeEnd("imports");
$pkg.transport = {"type":"amd","amdNamespace":"amber/jquery"};

$core.addClass("JQuery", $globals.Object, [], "Wrappers-JQuery");

$core.addMethod(
$core.method({
selector: "current",
protocol: "initialization",
fn: function (){
var self=this,$self=this;
return jQuery;

},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "current\x0a\x09^ jQuery",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [],
messageSends: []
}),
$globals.JQuery.a$cls);

$core.addMethod(
$core.method({
selector: "initialize",
protocol: "initialization",
fn: function (){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
$recv($globals.Smalltalk)._optOut_(jQuery);
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"initialize",{})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "initialize\x0a\x09\x22Allow JS method calls for the jQuery object.\x0a\x09See boot.js DNU handling.\x22\x0a\x09\x0a\x09Smalltalk optOut: jQuery",
referencedClasses: ["Smalltalk"],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["optOut:"]
}),
$globals.JQuery.a$cls);

$core.addMethod(
$core.method({
selector: "asJQuery",
protocol: "*Wrappers-JQuery",
fn: function (){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
return $recv([self])._asJQuery();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"asJQuery",{})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "asJQuery\x0a\x09^ {self} asJQuery",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["asJQuery"]
}),
$globals.BlockClosure);

$core.addMethod(
$core.method({
selector: "asJQueryInContext:",
protocol: "*Wrappers-JQuery",
fn: function (aContext){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
return $recv([self])._asJQueryInContext_(aContext);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"asJQueryInContext:",{aContext:aContext})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aContext"],
source: "asJQueryInContext: aContext\x0a\x09^ {self} asJQueryInContext: aContext",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["asJQueryInContext:"]
}),
$globals.BlockClosure);

$core.addMethod(
$core.method({
selector: "asJQuery",
protocol: "*Wrappers-JQuery",
fn: function (){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
return jQuery($self.jsObject);
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"asJQuery",{})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "asJQuery\x0a\x09<inlineJS: 'return jQuery($self.jsObject)'>",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [["inlineJS:", ["return jQuery($self.jsObject)"]]],
messageSends: []
}),
$globals.JSObjectProxy);

$core.addMethod(
$core.method({
selector: "asJQueryInContext:",
protocol: "*Wrappers-JQuery",
fn: function (aContext){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
return jQuery($self.jsObject, aContext);
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"asJQueryInContext:",{aContext:aContext})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aContext"],
source: "asJQueryInContext: aContext\x0a\x09<inlineJS: 'return jQuery($self.jsObject, aContext)'>",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [["inlineJS:", ["return jQuery($self.jsObject, aContext)"]]],
messageSends: []
}),
$globals.JSObjectProxy);

$core.addMethod(
$core.method({
selector: "asJQuery",
protocol: "*Wrappers-JQuery",
fn: function (){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
return jQuery(self);
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"asJQuery",{})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "asJQuery\x0a\x09<inlineJS: 'return jQuery(self)'>",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [["inlineJS:", ["return jQuery(self)"]]],
messageSends: []
}),
$globals.Object);

$core.addMethod(
$core.method({
selector: "asJQueryInContext:",
protocol: "*Wrappers-JQuery",
fn: function (aContext){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
return jQuery(self, aContext);
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"asJQueryInContext:",{aContext:aContext})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aContext"],
source: "asJQueryInContext: aContext\x0a\x09<inlineJS: 'return jQuery(self, aContext)'>",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [["inlineJS:", ["return jQuery(self, aContext)"]]],
messageSends: []
}),
$globals.Object);

$core.addMethod(
$core.method({
selector: "asJQuery",
protocol: "*Wrappers-JQuery",
fn: function (){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
return jQuery(String(self));
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"asJQuery",{})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "asJQuery\x0a\x09<inlineJS: 'return jQuery(String(self))'>",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [["inlineJS:", ["return jQuery(String(self))"]]],
messageSends: []
}),
$globals.String);

$core.addMethod(
$core.method({
selector: "asJQueryInContext:",
protocol: "*Wrappers-JQuery",
fn: function (aContext){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
return jQuery(String(self), aContext);
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"asJQueryInContext:",{aContext:aContext})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aContext"],
source: "asJQueryInContext: aContext\x0a\x09<inlineJS: 'return jQuery(String(self), aContext)'>",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [["inlineJS:", ["return jQuery(String(self), aContext)"]]],
messageSends: []
}),
$globals.String);

});
